%define dotnet_version     3.1
%define dotnet_release     rh-dotnet31
%define  instDir           /usr/lib/dotnet/NuPkgs
%define  artifactory       https://artifactory.oci.oraclecorp.com/api/nuget/oci-dex-release-nuget-local


Name:       oci-powershell-modules		
Version:	23.1.0
Release: 1%{?dist}
Group:		Oracle Cloud Infrastructure
Summary:    Oracle Cloud Infrastructure(OCI) Modules for PowerShell
License:	UPL 1.0 and Apache 2.0 
URL:		https://github.com/oracle/oci-powershell-modules
Source0:	%{name}-%{version}.tar.bz2
Source1:    %{name}.csproj
Source2:    nuget.config
Buildarch:  noarch
AutoReq:    no

BuildRequires:	%{?dotnet_release}-dotnet >= %{dotnet_version} 
Requires:	    %{?dotnet_release}-dotnet >= %{dotnet_version}
Requires:       powershell >= 6.0

%description
The oci-powershell-modules is a set of cmdlet modules that can be used with PowerShell Core to manage Oracle Cloud Infrastructure resources. You can invoke these cmdlets from the PowerShell command-line and with the associated PowerShell scripting language.
%prep
%setup -q -n %{name}-%{version}

packFile=%{name}.csproj
cp %{SOURCE1} .
echo "    <PackageReference Include=\"OCI.PSModules\" Version=\"%{version}\" />" >>$packFile
echo -n "  </ItemGroup>
</Project>
" >>$packFile


%build
unset https_proxy
unset http_proxy

which dotnet ||  source /opt/rh/%{dotnet_release}/enable
mv %{name}.sln %{name}.sln.old
dotnet restore -s %{artifactory}


%check 
#make unit-test

%install
mkdir -p %{buildroot}%{instDir}
NuPkgs=`find ~/.nuget/ -name "oci.psmodule*.%{version}.nupkg"`
for nupkg in $NuPkgs; do
    lastname=`basename $nupkg .%version.nupkg|cut -d. -f3`
    [ -z "$lastname" ] && cp $nupkg %{buildroot}%{instDir}/OCI.PSModules.%version.nupkg \
    || cp $nupkg %{buildroot}%{instDir}/OCI.PSModules.${lastname^}.%version.nupkg
done
cp %{SOURCE2} .

%files
%{instDir}/*
%doc *.md *.txt nuget.config Examples/ 

%pre
instDir=/usr/lib/dotnet/NuPkgs
[ -d $instDir ] ||  mkdir -p $instDir 

%changelog
* Tue Nov 02 2021 EL Errata <el-errata_ww@oracle.com> 23.1.0-1
- Update to 23.1.0

* Tue Oct 26 2021 EL Errata <el-errata_ww@oracle.com> 23.0.0-1
- Update to 23.0.0

* Tue Oct 19 2021 EL Errata <el-errata_ww@oracle.com> 22.2.0-1
- Update to 22.2.0

* Tue Oct 12 2021 EL Errata <el-errata_ww@oracle.com> 22.1.0-1
- Update to 22.1.0

* Tue Oct 05 2021 EL Errata <el-errata_ww@oracle.com> 22.0.0-1
- Update to 22.0.0

* Tue Sep 28 2021 EL Errata <el-errata_ww@oracle.com> 21.0.0-1
- Update to 21.0.0

* Tue Sep 14 2021 EL Errata <el-errata_ww@oracle.com> 20.1.0-1
- Update to 20.1.0

* Tue Sep 07 2021 EL Errata <el-errata_ww@oracle.com> 20.0.0-1
- Update to 20.0.0

* Tue Aug 31 2021 EL Errata <el-errata_ww@oracle.com> 19.2.0-1
- Update to 19.2.0

* Tue Aug 24 2021 EL Errata <el-errata_ww@oracle.com> 19.1.0-1
- Update to 19.1.0

* Tue Aug 17 2021 EL Errata <el-errata_ww@oracle.com> 19.0.0-1
- Update to 19.0.0

* Tue Aug 03 2021 EL Errata <el-errata_ww@oracle.com> 18.2.0-1
- Update to 18.2.0

* Tue Jul 27 2021 EL Errata <el-errata_ww@oracle.com> 18.1.0-1
- Update to 18.1.0

* Tue Jul 20 2021 EL Errata <el-errata_ww@oracle.com> 18.0.0-1
- Update to 18.0.0

* Tue Jul 13 2021 EL Errata <el-errata_ww@oracle.com> 17.0.0-1
- Update to 17.0.0

* Tue Jul 06 2021 EL Errata <el-errata_ww@oracle.com> 16.1.0-1
- Update to 16.1.0

* Tue Jun 29 2021 EL Errata <el-errata_ww@oracle.com> 16.0.0-1
- Update to 16.0.0

* Tue Jun 22 2021 EL Errata <el-errata_ww@oracle.com> 15.1.0-1
- Update to 15.1.0

* Tue Jun 15 2021 EL Errata <el-errata_ww@oracle.com> 15.0.0-1
- Update to 15.0.0

* Tue Jun 08 2021 EL Errata <el-errata_ww@oracle.com> 14.2.0-1
- Update to 14.2.0

* Tue Jun 01 2021 EL Errata <el-errata_ww@oracle.com> 14.1.0-1
- Update to 14.1.0

* Tue May 25 2021 EL Errata <el-errata_ww@oracle.com> 14.0.0-1
- Update to 14.0.0

* Tue May 18 2021 EL Errata <el-errata_ww@oracle.com> 13.5.0-1
- Update to 13.5.0

* Tue May 11 2021 EL Errata <el-errata_ww@oracle.com> 13.4.0-1
- Update to 13.4.0

* Tue May 04 2021 EL Errata <el-errata_ww@oracle.com> 13.3.0-1
- Update to 13.3.0

* Tue Apr 27 2021 EL Errata <el-errata_ww@oracle.com> 13.2.0-1
- Update to 13.2.0

* Tue Apr 20 2021 EL Errata <el-errata_ww@oracle.com> 13.1.0-1
- Update to 13.1.0

* Tue Apr 13 2021 EL Errata <el-errata_ww@oracle.com> 13.0.0-1
- Update to 13.0.0

* Tue Apr 06 2021 EL Errata <el-errata_ww@oracle.com> 12.1.0-1
- Update to 12.1.0

* Tue Mar 30 2021 EL Errata <el-errata_ww@oracle.com> 12.0.0-1
- Update to 12.0.0

* Tue Mar 23 2021 EL Errata <el-errata_ww@oracle.com> 11.0.0-1
- Update to 11.0.0

* Tue Mar 16 2021 EL Errata <el-errata_ww@oracle.com> 10.2.0-1
- Update to 10.2.0

* Tue Mar 09 2021 EL Errata <el-errata_ww@oracle.com> 10.1.0-1
- Update to 10.1.0

* Tue Mar 02 2021 EL Errata <el-errata_ww@oracle.com> 10.0.0-1
- Update to 10.0.0

* Tue Feb 23 2021 EL Errata <el-errata_ww@oracle.com> 9.2.0-1
- Update to 9.2.0

* Wed Feb 17 2021 EL Errata <el-errata_ww@oracle.com> 9.1.0-1
- Update to 9.1.0

* Tue Feb 09 2021 EL Errata <el-errata_ww@oracle.com> 9.0.0-1
- Update to 9.0.0

* Tue Feb 02 2021 EL Errata <el-errata_ww@oracle.com> 8.0.0-1
- Update to 8.0.0

* Tue Jan 26 2021 EL Errata <el-errata_ww@oracle.com> 7.0.0-1
- Update to 7.0.0

* Tue Jan 19 2021 EL Errata <el-errata_ww@oracle.com> 6.0.0-1
- Update to 6.0.0

* Tue Jan 12 2021 EL Errata <el-errata_ww@oracle.com> 5.0.0-1
- Update to 5.0.0

* Tue Dec 15 2020 EL Errata <el-errata_ww@oracle.com> 4.0.0-1
- Update to 4.0.0

* Tue Dec 08 2020 EL Errata <el-errata_ww@oracle.com> 3.1.0-1
- Update to 3.1.0

* Tue Dec 01 2020 EL Errata <el-errata_ww@oracle.com> 3.0.0-1
- Update to 3.0.0

* Tue Nov 17 2020 EL Errata <el-errata_ww@oracle.com> 2.0.0-1
- Update to 2.0.0

* Tue Nov 10 2020 EL Errata <el-errata_ww@oracle.com> 1.12.0-1
- Update to 1.12.0

* Tue Nov 03 2020 EL Errata <el-errata_ww@oracle.com> 1.11.0-1
- Update to 1.11.0

* Tue Oct 27 2020 EL Errata <el-errata_ww@oracle.com> 1.10.0-1
- Update to 1.10.0

* Wed Oct 21 2020 Alan Steinberg <alan.steinberg@oracle.com> - 1.9.0-1
- Update to 1.9.0

* Wed Oct 14 2020 Qing Lin <qing.lin@oracle.com> -1.8.0-1
- Update to 1.8.0
- Build for first RPM release.

* Mon Oct 12 2020 Qing Lin <qing.lin@oracle.com> -1.7.0-1
- Update to 1.7.0

* Mon Sep 21 2020 Qing Lin <qing.lin@oracle.com> -1.3.0-1.0.1 
- Pack the prebuild OCI.PowerShell nupkgs and their dependencies from OCI artifactory instead.

* Fri Sep 11 2020 Qing Lin <qing.lin@oracle.com> -1.3.0-1 
- initial build 1.3.0

